### Method

# Fwupd Device add_checksum

since: 0.9.3

#### Declaration [src]

    void
    fwupd_device_add_checksum (
      FwupdDevice* self,
      const gchar* checksum
    )

#### Description [src]

Adds a device checksum.

Available since: 0.9.3

#### Parameters

`checksum`

  Type: `const gchar*`

  The device checksum.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.